Bug 299039

Summary: Make New Activity Password and Activity Password dialogs for private Activities comply with HIG
Product: [Plasma] Active Reporter: Thomas Pfeiffer <thomas.pfeiffer>
Component: Contour activity screenAssignee: Marco Martin <notmart>
Status: RESOLVED NOT A BUG    
Severity: normal CC: active, fania.bremmer, lamarque
Priority: NOR    
Version: PA 2   
Target Milestone: unscheduled   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:

Description Thomas Pfeiffer 2012-04-29 15:40:13 UTC
The New Activity Password and Activity Password dialogs currently do not comply with the corresponding HIG (http://community.kde.org/Plasma/Active/Development/ActiveHIG/Dialogs) in several ways and thus should be changed:

1. The buttons (OK/Cancel and Unlock/Dismiss) are still placed at the bottom of the dialog. They have to be moved to the dialog title (as in the Activity Configuration dialog)

2. The button labels do not comply with the HIG and are inconsistent. To make them compliant,
 a) The "Dismiss" button in the Activity Password dialog has to be renamed to "Cancel"
 b) The "OK" button in the "New Activity Password" dialog has to be renamed to "Save"

3. The dialog titles do not describe actions. They should be changed to:
 a) "Unlock Activity" instead of "Activity Password"
 b) "Set Activity Password" instead of "New Activity Password"

With these changes, the dialogs would be HIG compliant, more consistent with other dialogs and with user expectations.

Reproducible: Always

Steps to Reproduce:
1. Set an Activity to private
2. Tap "Save and Enter Password"

or

1. Open a private Activity
Actual Results:  
Dialogs inconsistent with HIG and other dialogs appear

Expected Results:  
Consitent dialogs appear
Comment 1 Lamarque V. Souza 2012-04-29 19:04:54 UTC
(In reply to comment #0)
> 3. The dialog titles do not describe actions. They should be changed to:
>  a) "Unlock Activity" instead of "Activity Password"
>  b) "Set Activity Password" instead of "New Activity Password"

Have we agreed in using capital words in title? Currently we use "New activity password", should we change it to "Set activity password" or "Set Activity Password"?
Comment 2 Lamarque V. Souza 2012-04-29 19:14:09 UTC
Git commit 93de229b3bebbc03544c8d68961c5352532626f8 by Lamarque V. Souza.
Committed on 29/04/2012 at 21:05.
Pushed by lvsouza into branch 'master'.

Change translatable strings to comply to Plasma Active's HIG. Still
needs to move the "Save" and "Cancel" buttons to the dialog's title bar.

M  +1    -1    service/ActivityManager.cpp
M  +1    -1    service/ui/plugins/declarativeui/package/contents/ui/NewPasswordDialog.qml
M  +2    -2    service/ui/plugins/declarativeui/package/contents/ui/uihandler.qml

http://commits.kde.org/kactivities/93de229b3bebbc03544c8d68961c5352532626f8
Comment 3 Lamarque V. Souza 2012-04-29 19:14:09 UTC
Git commit 171d81c731a3385c11a40cbbd891e5a24780fd22 by Lamarque V. Souza.
Committed on 29/04/2012 at 21:13.
Pushed by lvsouza into branch 'master'.

Use i18n() around translatable strings.

M  +12   -12   service/ui/plugins/declarativeui/package/contents/ui/uihandler.qml

http://commits.kde.org/kactivities/171d81c731a3385c11a40cbbd891e5a24780fd22
Comment 4 Thomas Pfeiffer 2012-04-29 21:36:45 UTC
> Have we agreed in using capital words in title? Currently we use "New
> activity password", should we change it to "Set activity password" or "Set
> Activity Password"?

There was no official agreement. However if nobody objects, I'd like to set title capitalization as the standard for, well, titles.
Comment 5 Lamarque V. Souza 2012-04-29 22:19:36 UTC
I am more concerned about coerence. If we change that it should be done for all strings as quickly as possible.
Comment 6 Thomas Pfeiffer 2012-04-30 13:20:00 UTC
(In reply to comment #5)
> I am more concerned about coerence. If we change that it should be done for
> all strings as quickly as possible.

Definitely. The Edit Activity dialog is currently being adapted by Marco. For the Add Items dialog, I've opened Bug 299102. These are all dialogs I am aware of. If anyone finds another one, just file a bug.
Comment 7 Fania Bremmer 2012-05-02 14:06:33 UTC
Ah, talking about Wording I would like to propose to change the current "Add items" title in the add-resource dialog to "Add Content" as it sounds far more familiar and less technical.
Comment 8 Lamarque V. Souza 2012-05-04 15:09:05 UTC
If there are no objections about comments #6 and #7 I will do the changes until next week.
Comment 9 Lamarque V. Souza 2012-05-25 17:18:29 UTC
Git commit 21bdc611904d421c3e81fba302511f9d463912d2 by Lamarque V. Souza.
Committed on 25/05/2012 at 19:15.
Pushed by lvsouza into branch 'master'.

Make activity password dialogs for private Activities use capital title
names to comply with HIG.

M  +4    -4    service/ActivityManager.cpp
M  +1    -1    service/ui/plugins/declarativeui/package/contents/ui/NewPasswordDialog.qml

http://commits.kde.org/kactivities/21bdc611904d421c3e81fba302511f9d463912d2
Comment 10 Thomas Pfeiffer 2012-09-13 19:34:50 UTC
This change is postponed until when Private Activities are reintroduced.
Comment 11 Thomas Pfeiffer 2013-01-23 21:12:20 UTC
Private Activities feature was removed